%global shortname gossip

Name:             sonatype-gossip
Version:          1.7
Release:          %mkrel 17
Group:            Development/Java
Summary:          SLF4j Gossip Provider
License:          ASL 2.0
URL:              http://github.com/jdillon/gossip

# git clone git://github.com/jdillon/gossip.git
# cd gossip/ && git checkout gossip-1.7
# git archive --format=tar --prefix=gossip-1.7/ gossip-1.7 | xz > gossip-1.7.tar.xz
Source0:          %{shortname}-%{version}.tar.xz
Patch0:           %{shortname}-%{version}-use-java5-modello.patch

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    mvn(com.mycila.maven-license-plugin:maven-license-plugin)
BuildRequires:    mvn(junit:junit)
BuildRequires:    mvn(org.apache.maven.plugins:maven-release-plugin)
BuildRequires:    mvn(org.codehaus.modello:modello-maven-plugin)
BuildRequires:    mvn(org.fusesource.jansi:jansi)
BuildRequires:    mvn(org.slf4j:slf4j-api)
BuildRequires:    mvn(org.sonatype.forge:forge-parent:pom:)

%description
Gossip is a plugin for SLF4j which has simple and flexible configuration.

%package bootstrap
Summary:          Gossip Bootstrap

%description bootstrap
Contains just enough Gossip to allow the
internal org.sonatype.gossip.Log to function.

%package bootstrap-slf4j
Summary:          Gossip Bootstrap SLF4j

%description bootstrap-slf4j
SLF4j bindings for Gossip Bootstrap.

%package core
Summary:          Gossip Core

%description core
Gossip Core.

%package extra
Summary:          Gossip Extra

%description extra
Gossip Extra.

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}

%package slf4j
Summary:          Gossip SLF4j

%description slf4j
Gossip SLF4j.

%package support
Summary:          Gossip Support

%description support
Gossip Support, helper and utilities.

%prep
%setup -q -n %{shortname}-%{version}
%patch0 -p1

%pom_remove_plugin org.codehaus.mojo:animal-sniffer-maven-plugin

%build

%mvn_build -s

%install
%mvn_install

%files -f .mfiles-gossip
%license header.txt

%files bootstrap -f .mfiles-gossip-bootstrap
%doc README.md
%license header.txt

%files bootstrap-slf4j -f .mfiles-gossip-bootstrap-slf4j
%files core -f .mfiles-gossip-core
%license header.txt

%files extra -f .mfiles-gossip-extra

%files javadoc -f .mfiles-javadoc
%license header.txt

%files slf4j -f .mfiles-gossip-slf4j
%files support -f .mfiles-gossip-support



%changelog
* Sat May 20 2017 neoclust <neoclust> 1.7-17.mga6
+ Revision: 1103620
- Rebuild with maven-license-plugin

* Sat May 20 2017 neoclust <neoclust> 1.7-16.mga6
+ Revision: 1103613
- Fix Build
- Second rebuild of the java stack

* Sat Feb 27 2016 umeabot <umeabot> 1.7-12.mga6
+ Revision: 979846
- Mageia 6 Mass Rebuild

* Mon Jan 12 2015 daviddavid <daviddavid> 1.7-11.mga5
+ Revision: 810106
- Sync with fc21

* Wed Oct 15 2014 umeabot <umeabot> 1.7-10.mga5
+ Revision: 749087
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Thu Dec 26 2013 dmorgan <dmorgan> 1.7-8.mga4
+ Revision: 560857
- Remove unneeded animal-sniffer dependency

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.7-6.mga3
+ Revision: 382300
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 1.7-5.mga3
+ Revision: 293211
- imported package sonatype-gossip


* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Sep 22 2011 Marek Goldmann <mgoldman@redhat.com> 1.7-3
- Changed name to sonatype-gossip

* Mon Sep 19 2011 Marek Goldmann <mgoldman@redhat.com> 1.7-2
- Spec file cleanup

* Fri May 27 2011 Marek Goldmann <mgoldman@redhat.com> 1.7-1
- Initial packaging

